/*
 * Aipo is a groupware program developed by Aimluck,Inc.
 * Copyright (C) 2004-2008 Aimluck,Inc.
 * http://aipostyle.com/
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */
package com.aimluck.eip.exttimecard;

import com.aimluck.commons.field.ALNumberField;
import com.aimluck.commons.field.ALStringField;
import com.aimluck.eip.common.ALData;

/**
 * タイムカード管理の勤務形態一覧の情報を保持する。
 * 
 * 
 */
public class ExtTimecardWorkResultData implements ALData {

  private ALNumberField system_id;

  private ALStringField system_name;

  /** Add 2010/08/14 チョホン　Start--- */
  /** 受注情報ＩＤ */
  private ALNumberField job_order_id;
  
  /** 件名 */
  private ALStringField job_order_name;
  
  /** 汎用ＩＤ */
  private ALNumberField hanyo_id;
  
  /** 親汎用ＩＤ */
  private ALNumberField parent_hanyo_id;
  
  /** 汎用名 */
  private ALStringField hanyokubunnm;
  
  /** 値 */
  private ALStringField value;
  
  /** 完了区分 */
  private ALStringField completion_class;
  
  /** 納期 */
  private ALStringField period;
  
  /** 顧客名 */
  private ALStringField client_name;
  
  private ALStringField clock_in_time;
  
  private ALStringField clock_out_time;
  
  /** Add 2010/08/14 チョホン　End--- */
  
  /**
   * 
   * @see com.aimluck.eip.common.ALData#initField()
   */
  public void initField() {
    system_id = new ALNumberField();
    system_name = new ALStringField();
    /** Add 2010/08/14  チョホン　Start--- */
    job_order_id = new ALNumberField();
    job_order_name = new ALStringField();
    hanyo_id = new ALNumberField();
    parent_hanyo_id = new ALNumberField();
    hanyokubunnm = new ALStringField();
    value = new ALStringField();
    completion_class = new ALStringField();
    period = new ALStringField();
    client_name = new ALStringField();
    clock_in_time = new ALStringField();
    clock_out_time = new ALStringField();
    /** Add 2010/08/14 チョホン　End--- */
    
  }
  
  /** Add 2010/08/14 チョホン　Start--- */
  
  /**
   * @return
   */
  public ALNumberField getJobOrderId() {
    return job_order_id;
  }

  /**
   * @param id
   */
  public void setJobOrderId(int id) {
    job_order_id.setValue(id);
  }

  /**
   * @return
   */
  public ALStringField getJobOrderName() {
    return job_order_name;
  }
  
  /**
   * @param jobOrderName
   */
  public void setJobOrderName(String jobOrderName) {
    job_order_name.setValue(jobOrderName);
  }
  
  /**
   * @return
   */
  public ALNumberField getHanyoId() {
    return hanyo_id;
  }

  /**
   * @param id
   */
  public void setHanyoId(int id) {
    hanyo_id.setValue(id);
  }
  
  /**
   * @return
   */
  public ALNumberField getParentHanyoId() {
    return parent_hanyo_id;
  }

  /**
   * @param id
   */
  public void setParentHanyoId(int id) {
    parent_hanyo_id.setValue(id);
  }

  /**
   * @return
   */
  public ALStringField getValue() {
    return value;
  }
  
  /**
   * @param str
   */
  public void setValue(String str) {
    value.setValue(str);
  }
  
  /**
   * @return 
   */
  public ALStringField getHanyokubunnm() {
    return hanyokubunnm;
  }
  
  /**
   * @param str
   */
  public void setHanyokubunnm(String str) {
    hanyokubunnm.setValue(str);
  }
 
  /**
   * @return 
   */
  public ALStringField getCompletionClass() {
    return completion_class;
  }
  
  /**
   * @param str
   */
  public void setCompletionClass(String str) {
    completion_class.setValue(str);
  }
 
  /**
   * @return 
   */
  public ALStringField getPeriod() {
    return period;
  }
  
  /**
   * @param str
   */
  public void setPeriod(String str) {
    period.setValue(str);
  }
  
  /**
   * @return 
   */
  public ALStringField getClientName() {
    return client_name;
  }
  
  /**
   * @param str
   */
  public void setClientName(String str) {
    client_name.setValue(str);
  }
  
  /**
   * @return 
   */
  public ALStringField getClockInTime() {
    return clock_in_time;
  }
  
  /**
   * @param str
   */
  public void setClockInTime(String str) {
    clock_in_time.setValue(str);
  }
  
  /**
   * @return 
   */
  public ALStringField getClockOutTime() {
    return clock_out_time;
  }
  
  /**
   * @param str
   */
  public void setClockOutTime(String str) {
    clock_out_time.setValue(str);
  }
  /** Add 2010/08/14 チョホン　End--- */

  public ALNumberField getSystemId() {
    return system_id;
  }

  public ALStringField getSystemName() {
    return system_name;
  }

  public void setSystemId(int i) {
    system_id.setValue(i);
  }

  public void setSystemName(String str) {
    system_name.setValue(str);
  }

}
